// ==========================================================================
// 数据表：sys_dict_types - 系统字典数据
// ==========================================================================
TABLE_NAME = 'sys_dict_types';
COLUMN_KEY = 'dict_id';
TABLE_FIELDS = '*'

'use api/lib/sql.js';

function getPlaceholders(condition) {
	const columnsArr = Object.keys(condition);
	const placeholders = [];
	const tempParams = [];
	columnsArr.forEach((item) => {
		if (item == 'dictName') {
			placeholders.push(`dict_name LIKE ?`);
			tempParams.push('%' + condition[item] + '%');
		} else if (item == 'dictType') {
			placeholders.push(`dict_type LIKE ?`);
			tempParams.push('%' + condition[item] + '%');
		} else if (item == 'status') {
			placeholders.push(`status = ?`);
			tempParams.push(condition[item]);
		}
	});

	return {
		placeholders: placeholders.join(' AND '),
		tempParams: tempParams,
	};
}

function main() {
	// 验证用户权限
	'use api/user/acl/excerpt.js'

	return base_curd();
}
